function faltval(signal)

% Anropas fran faltdem.m
% signal=1,2,3 => val av x, h resp. y

global AX col1 col2 col3 cols1 cols2 cols3 lw t x x1v x2v yv xpl ypl regel legaxx legvx dimp koll legaxy legvy

load faltdem	% faltdem.mat innehaller:
		% t=-20:0.1:20       
		% x(1:11,:) : 11 olika signaler (se faltdem.m)

if signal==1		% x
   axes(AX(1,1))
   val=get(x1v,'value')-1;
   if val==0	% Tag bort signal
	if get(x1v,'userdata')		% x-plot finns
		set(xpl(1),'visible','off')	% Tag bort plotten
		if get(xpl(1),'userdata')==11	% Diracimpulsen ar nuvarande x1
			set(dimp(1,1),'visible','off')	% Vert. strecket
			set(dimp(1,2),'visible','off')	% Spetsen
			set(dimp(1,3),'visible','off')	% Viktningen 3 av d(t)
		end
	end
	koll(1)='0';
   else	% val>0
	if ~get(x1v,'userdata')		% Annu ingen x1-plot
		set(x1v,'userdata',1)	% markera!
		xpl(1)=plot(t,x(val,:),cols1);
		set(xpl(1),'linewidth',lw);
	else
	  	set(xpl(1),'ydata',x(val,:),'visible','on')
	end
	if val==11	% Diracimpuls vald
		dimp(1,1)=plot([0 0],[0 1],cols1);
		set(dimp(1,1),'linewidth',lw+1)
		dimp(1,2)=plot(0,1,['^' cols1]);
		set(dimp(1,2),'linewidth',lw)
		dimp(1,3)=text(0.2,1,'(3)');
		set(dimp(1,3),'fontsize',13,'color',cols1)
	end
			
	set(xpl(1),'userdata',val);
	koll(1)='1';
   end

elseif signal==2	% x2 (=h !!)
   axes(AX(1,1))
   val=get(x2v,'value')-1;
   if val>0
	if ~get(x2v,'userdata')		% Annu ingen x2-plot
		set(x2v,'userdata',1)	% Markera!
		xpl(2)=plot(t,x(val,:),cols2);
		set(xpl(2),'linewidth',lw);
	else
	  	set(xpl(2),'ydata',x(val,:),'visible','on')
	end
	if val==11	% Diracimpuls vald
		dimp(2,1)=plot([0 0],[0 1],cols1);
		set(dimp(2,1),'linewidth',lw+1)
		dimp(2,2)=plot(0,1,['^' cols1]);
		set(dimp(2,2),'linewidth',lw)
		dimp(2,3)=text(0.2,1,'(3)');
		set(dimp(2,3),'fontsize',13,'color',cols1)
	end
	set(xpl(2),'userdata',val);
	koll(2)='1';
   else
	if get(x2v,'userdata')		% x2-plot finns
		set(xpl(2),'visible','off')
		if get(xpl(2),'userdata')==11	% Diracimpulsen ar nuvarande x1
			set(dimp(2,1),'visible','off')	% Vert. strecket
			set(dimp(2,2),'visible','off')	% Spetsen
			set(dimp(2,3),'visible','off')	% Viktningen 3 av d(t)
		end
	end
	koll(2)='0';
   end

elseif signal==3	% signal==3	% y
   val=get(yv,'value')-1;
	%  1: Spegla & tidsfrskjut x( )
	%  2: Spegla & tidsfrskjut h( )
   set(yv,'userdata',val)
   if val==0
	set(legvy(2,2),'string','y(t)')
	set(legvy(1,1),'visible','off')
	set(legvy(1,2),'visible','off')
	koll(3)='0';
   elseif val==1
	set(legvy(1,1),'visible','on')
	set(legvy(1,2),'string','x(t-\tau)h(\tau)','visible','on')	
	set(legvy(2,2),'string','y(t)=\int_{-\infty}^{\infty} x(t-\tau)h(\tau) d\tau')	
	koll(3)='1';
   elseif val==2
	set(legvy(1,1),'visible','on')
	set(legvy(1,2),'string','x(\tau)h(t-\tau)','visible','on')	
	set(legvy(2,2),'string','y(t)=\int_{-\infty}^{\infty} x(\tau)h(t-\tau) d\tau')	
	koll(3)='1';
   end   
end   

faltaction