function fser2ftrdem

% Overgang Fourierserie -> Fouriertransform da T -> oandligheten
% Forsta noolstallet vid f = 1/(pulsbredden) = 1 Hz (w=2*pi)
% ar har densamma oavsett T.
% Sist: Jamfor med fouriertransformen for en enkelpuls!
% Tryck pa en tangent mellan for att visa nasta plot.


% load fserdemo1	% Innehaller matrisen C:
% 		% C(1,:) - Fyrkantvag ..1010101010..     	(1-1)
% 		% C(2,:) - C(1,:) tidsforskjuten 90 grader
% 		% C(3,:) - Fyrkantvag ..100100100100..   	(1-2)
% 		% C(4,:) - Fyrkantvag ..100010001000..   	(1-3)
% 		% C(5,:) - Fyrkantvag ..10000100001000.. 	(1-4)
% 		% C(6,:) - Fyrkantvag ..100000000000000010000.. (1-15)
% 		% C(7,:) - 
% 		% C(8,:) - 
% 
% 
% signal(C(1,:)), OHfigure2
% pause
% spect(round(C(1,:)*100)./100),  OHfigure2
% pause

clf
t=0:.01:40;
T=[2 3 4 5 6 8 10 15 20 25 35 Inf];
for a=1:length(T)-1
	C=fouser('pulse(t,0,1)',T(a));
	signal(C,ceil(40/T(a))+1)
	plhand=get(gca,'Children');
	xdata=get(plhand,'XData');
	ydata=get(plhand,'YData');
	spect(C,C,5*T(a))
	tith=title(['Amplitudspektrum. Frsta nollgenomgngen vid \omega = 2\pi/\tau_0 = ' int2str(T(a)) '\omega_1 = 2\pi rad/s']);
	titpos=get(tith,'position');
	set(tith,'position',[titpos(1) titpos(2)*.96 0]);
	ylabel('')
	xlabel('Deltonsnummer')
	subplot(2,1,1)
	plot(xdata,ydata)
	axis([0 41 0 1.1])
	grid on
	xlabel('Tid, s')
	nstr=['( Nsta: T=' int2str(T(a+1)) ' s )'];
	if T(a)==35, nstr='( Nsta: F.transf. )'; end
	title(['Fyrkantvg; Pulsbredd \tau=1 s, Periodtid T=' int2str(T(a)) ' s => \omega_1=' num2str(2*pi/T(a)) ' rad/s.      ' nstr]);
	OHfigure2
	pause
end

w=5*2*pi*(0:500)/500;
X=sinc(w/2/pi);
subplot(2,1,1)
plot(w,abs(X))
axis([0 5*2*pi 0 1.1])
xlabel('Vinkelfrekvens, \omega rad/s')
title('| F\{u(t)-u(t-1)\} | = sinc(\omega/2\pi)   (dvs. enkelpulsens amplitudspektrum)')
grid on
OHfigure2

  uimenu('Label','            ');
  fom = uimenu('Label','Brja om !!');
  	uimenu(fom, 'Label','G till KRETSDEMO', 'callback','clf, kretsdemo(1)');
        uimenu(fom, 'Label','Signalmanipulering igen', 'callback','fser2ftrdem');
