function woah=reader4 (s)

%This is a function returning info on the arguments
%Format is ([Mag1 Freq1 Phase1;Mag2 Freq2 Phase2,...])

if nargin==0
	disp 'Hey, give me something to work with!'
	end

dmns=[size(s)];

if dmns(2)~=3	%If don't have three attributes for vectors
	disp 'enter Magnitude, Freq, Phase Shift'
	end

numvectors=dmns(1);	%The number of vectors inputted
%--------------------------
woah=zeros(7,numvectors);	%Initializes the matrix
MagScale=0;
%--------------------------

%This part finds the minimum magn and freq
%as well as other info.
	MinMag=min(s(1:numvectors,1));
	MinFreq=min(s(1:numvectors,2));
	MaxMag=max(s(1:numvectors,1));
	MaxFreq=max(s(1:numvectors,2));

%-----------------------------------------------------

%This part puts everything in order and
%assigns it to the array woah


	%This puts the magnitudes and frequencies into woah
	%Couldn't do it by using elegant notation as above

	for loop=1:numvectors;
		woah(1,loop)=s(loop,1);
			MagScale=MagScale+abs(s(loop,1));
		woah(2,loop)=s(loop,2);
		woah(7,loop)=s(loop,3);

		%The 6th row will be the period array,
		%simply 1/frequency
		%Need to get rid of infinite periods caused
		%by a frequency of zero
		
		if s(loop,2)==0
			woah(6,loop)=1;
		else
			woah(6,loop)=1/(s(loop,2));
		end

	end

%This part finds the Resutling Frequency,
%which now will be the lc integer multiple
%of all the frequencies.
	ResultFreq=slcm2(woah(6,:));%This is the number of circles the
				   %for loop in the graphing function
				   %needs to do.


woah (3,1)=numvectors;
woah (4,1)=MagScale;
woah (5,1)=ResultFreq;


	