% Exempel 6.13 i boken (s. 213-214)

x=in('sin(2*pi*t)*us(t)','t');
Hs=in([2],[1 .6],'s');
h=ilaptr(Hs);
signal(x,h,8);
subplot(2,1,1)
title('Insignal x(t) = sin(\omega_0t)u(t)    ( \omega_0 = 2\pi rad/s   =>   f_0 = 1 Hz )')
subplot(2,1,2)
title('Impulssvar, h(t)')
OHfigure2

Xs=in(2*pi,[1 0 (2*pi)^2],'s');
pause

%----------------------

spect(Xs,Hs,2)
subplot(2,1,1)
title('Insignalens amplitudspektrum |X(f)|')
subplot(2,1,2)
title('Systemets amplitudkaraktristik |H(f)|') 
OHfigure2
Ys=output(Xs,Hs);
zoom
pause

%----------------------

Ys=round(Ys*1000)/1000;
spect(Xs,Ys,2)
subplot(2,1,1)
title('Insignalens amplitudspektrum |X(f)|')
subplot(2,1,2)
title('Utsignalens amplitudspektrum |Y(f)| = |X(f)|\cdot|X(f)|') 
OHfigure2
zoom
y=ilaptr(Ys);
pause

%----------------------

signal(x,y,8);
subplot(2,1,1)
title('Insignalen x(t) = sin(\omega_0t)u(t)    ( \omega_0 = 2\pi rad/s   =>   f_0 = 1 Hz )')
subplot(2,1,2)
title('Utsignalen, y(t) = (x*h)(t) = F^{-1}\{Y(\omega)\} = L^{-1}\{Y(s)\}')
OHfigure2
pause

%----------------------

axesdef(5,'Pol-nollstllediagram')
global AX
axes(AX(1,1))
pzmod(Xs)
title('Pol-Nollstllediagram till X(s)')
axis([-2 2 -7 7])
axes(AX(1,2))
pzmod(Hs)
title('Pol-Nollstllediagram till H(s)')
axis([-2 2 -7 7])
OHfigure2
pause

%----------------------



pz(Ys)
title('verlagra pol-nollst.diagr. fr X(s) och H(s)  =>  Pol-Nollstllediagrammet till Y(s) = X(s)H(s):   ')
axis([-2 2 -7 7])
OHfigure2

pause 

%----------------------

H=butterw(5);
thisfig=gcf;

%figure('Position',[-2 2 804 562]);
%splane(Ys)
%pause

figure(thisfig)
pz(H)
title('Annan systemfunktion, H(s);  H(\omega) r H(s) p j\omega-axeln!!')
OHfigure2
pause


%----------------------

spect(H,12)
subplot(2,1,1)
title('Amplitudkaraktristik |H(f)|')
subplot(2,1,2)
title('Faskaraktristik, arg(H(f))') 
OHfigure2
pause

%----------------------

  uimenu('Label','            ');
  fom = uimenu('Label','Brja om !!');
  	uimenu(fom, 'Label','G till KRETSDEMO', 'callback','clf, kretsdemo(1)');
        uimenu(fom, 'Label','Systemanalys igen', 'callback','XsHsYsdem');


%----------------------


%figure('Position',[-2 2 804 562]);
%splane(H)
% I STALLET:
pzchange(H)
