function fserdem1

% Fourierserier - manipulera med deltoner

load fserdemo1	% Innehaller matrisen C:
		% C(1,:) - Fyrkantvag ..1010101010..     	(1-1)
		% C(2,:) - C(1,:) tidsforskjuten 90 grader
		% C(3,:) - Fyrkantvag ..100100100100..   	(1-2)
		% C(4,:) - Fyrkantvag ..100010001000..   	(1-3)
		% C(5,:) - Fyrkantvag ..10000100001000.. 	(1-4)
		% C(6,:) - Fyrkantvag ..100000000000000010000.. (1-15)
		% C(7,:) - 
		% C(8,:) - 

figure('Name','Frelsningsdemonstrationer, Kretsteori: ', ...
	'Position',[-2 2 804 562]);

signal(C(1,:)), 
	title('Fyrkantvg'), 
	OHfigure2
pause

spect(round(C(1,:)*100)./100),  
	OHfigure2
pause
%------------------
signal(C(2,:)), 
	title('Fyrkantvgen tidsfrskjuten T/4 (-90 grader fasfrskjutning av grundtonen)'), 
	OHfigure2
pause

spect(round(C(2,:)*100)./100),  
	OHfigure2
	D=remtone(C(1,:),1);
%-----------------
pause
	signal(C(1,:),D)
		title('Fyrkantvgen nedan r samma som ovan men med grundtonen borttagen'), 
		OHfigure2
pause

spect(round(C(1,:)*100)./100,round(D*100)./100),  
	OHfigure2
	D=remtone(C(1,:),'all',15);
pause
%-----------------

	signal(C(1,:),D)
		title('Fyrkantvgen nedan r samma som ovan men med alla deltoner fr.o.m. den 15:e borttagen'), 
		OHfigure2
pause

spect(round(C(1,:)*100)./100,round(D*100)./100),  
	OHfigure2
pause

clf

uicontrol('Units','points', ...
	'BackgroundColor',get(gcf,'color'), ...
	'FontSize',36, ...
	'units','normalized', ...
	'fontname','times', ...
	'Position',[.001 .8 .99 .1], ...
	'String','KRETSLAB', ...
	'Style','text');

uicontrol('Units','points', ...
	'BackgroundColor',get(gcf,'color'), ...
	'FontSize',22, ...
	'units','normalized', ...
	'fontname','times', ...
	'Position',[.001 .6 .99 .1], ...
	'String','Fourierserie - fyrkantvg: C=fouser(''pulse(t,0,1)'',2);', ...
	'Style','text');

uicontrol('Units','points', ...
	'BackgroundColor',get(gcf,'color'), ...
	'FontSize',22, ...
	'units','normalized', ...
	'fontname','times', ...
	'Position',[.001 .5 .99 .1], ...
	'String','Titta p signalen: signal(C)  (tv signaler: signal(C1,C2) )', ...
	'Style','text');

uicontrol('Units','points', ...
	'BackgroundColor',get(gcf,'color'), ...
	'FontSize',22, ...
	'units','normalized', ...
	'fontname','times', ...
	'Position',[.001 .4 .99 .1], ...
	'String','Titta p spektrum: spect(C)  (tv signaler: spect(C1,C2) )', ...
	'Style','text');

uicontrol('Units','points', ...
	'BackgroundColor',get(gcf,'color'), ...
	'FontSize',22, ...
	'units','normalized', ...
	'fontname','times', ...
	'Position',[.001 .2 .99 .1], ...
	'String','Mata in signal: x=in(''sin(2*pi*t)*us(t)'',''t'');', ...
	'Style','text');

uicontrol('Units','points', ...
	'BackgroundColor',get(gcf,'color'), ...
	'FontSize',22, ...
	'units','normalized', ...
	'fontname','times', ...
	'Position',[.001 .1 .99 .1], ...
	'String','Titta p signalen:  signal(x)', ...
	'Style','text');
