function signval(signal)

% Anropas fran signdemo.m
% signal=1,2,3 => val av x1, x2 resp. y

global AX col1 col2 col3 cols1 cols2 cols3 cols4 lw t x x1v x2v yv xpl ypl regel legaxx legvx dimp

load signdem	% signdem.mat innehaller:
		% t=-20:0.1:20       
		% x(1,:) : sin(2*pi/4 * t) (stationar sinus)
		% x(2,:) : sin(2*pi/T * t) (stationar sinus - valj sjalv T)
		%          Valj T i dialogruta nar detta val aktiveras
		%          NEJ!!? Andra T godtyckligt (0.5:0.5:20) med regel!
		%	   Default: T=4
		% x(3,:) : u(t) (enhetssteget)
		% x(4,:) : 3*d(t) (diracimpulsen har hela vektorn = noll)
		%          diracimpulsen hanteras separat
		%          plot(t,x(4,:)) 
		%    samt  p1=plot([0 0],[0 1],'farg');
		%          set(p1,'linewidth',lw+1)
		%	   p2=plot(0,1,'^');
		%	   set(p2,'linewidth',lw)
		% x(5,:) : Puls ( u(t) - u(t-4) )
		% x(6,:) : Puls (0 -> 4) + ramp (4 -> 6)
		% x(7,:) : Egendefinierad signal (default = 0)
		% x(8,:) : y(t) (mojlighet att (med knapp) valja x=senaste y)

L0='';
L1='=sin(\omega_0 t), \omega_0=2\pi f_0, f_0=1/T';
L2=L1;
L3='=u(t)';
L4='=3\delta(t)';
L5='=u(t)-u(t-4)';
L6='=(u(t)-u(t-4)) + (3-t/2)(u(t-4) - u(t-6))';
L7='=Din signal';
L8='=y_{-1}(t)';



if signal==1		% x1
   val=get(x1v,'value')-1
   if val==0	% Tag bort signal
	if get(x1v,'userdata')		% x1-plot finns
		set(xpl(1),'visible','off')	% Tag bort plotten
		if get(xpl(1),'userdata')==4	% Diracimpulsen ar nuvarande x1
			set(dimp(1,1),'visible','off')	% Vert. strecket
			set(dimp(1,2),'visible','off')	% Spetsen
			set(dimp(1,3),'visible','off')	% Viktningen 3 av d(t)
		end
		set(x1v,'userdata',0)
	end
   else
	if ~get(x1v,'userdata')		% Annu ingen x1-plot
		xpl(1)=plot(t,x(val,:),cols1);
		set(xpl(1),'linewidth',lw);
	else
	  	set(xpl(1),'ydata',x(val,:),'visible','on')
	end	

if ~isempty(dimp)
			set(dimp(1,1),'visible','off')	% Vert. strecket
			set(dimp(1,2),'visible','off')	% Spetsen
			set(dimp(1,3),'visible','off')	% Viktningen 3 av d(t)
end

		set(x1v,'userdata',1)	% markera!
		if val==4	% Diracimpuls vald
		 	dimp(1,1)=plot([0 0],[0 1],cols1);
		        set(dimp(1,1),'linewidth',lw+1)
			dimp(1,2)=plot(0,1,['^' cols1]);
			set(dimp(1,2),'linewidth',lw)
			dimp(1,3)=text(0.2,1,'(3)');
			set(dimp(1,3),'fontsize',13,'color',cols1)
		end
			
	set(xpl(1),'userdata',val);
   	eval(['legval=L' int2str(val) ';'])
   	set(legvx(1,2),'string',['x_1(t)' legval])
   end

elseif signal==2	% x2
   val=get(x2v,'value')-1;
   if val>0
	if ~get(x2v,'userdata')		% Annu ingen x2-plot
		set(x2v,'userdata',1)	% Markera!
		xpl(2)=plot(t,x(val,:),cols2);
		set(xpl(2),'linewidth',lw);
	else
	  	set(xpl(2),'ydata',x(val,:),'visible','on')
	end
	set(xpl(2),'userdata',val);
   else
	if get(x2v,'userdata')		% x2-plot finns
		set(xpl(2),'visible','off')
	end
   end
   eval(['legval=L' int2str(val) ';'])
   set(legvx(2,2),'string',['x_2(t)' legval])

elseif signal==3 & ~isempty(xpl)	% signal==3	% y
   val=get(yv,'value')-1;
	%  0: Valj signalmanipulering !
	%  1: Multipl. med konstant 		(anvand regel)
	%  2: Tidsforskjutning 			(anvand regel)
	%  3: Spegling & tidsforskjutning 	(anvand regel)
	%  4: Tidsskalning 			(anvand regel)
	%  5: Derivering
	%  6: Integrering
	%  7: Addition
	%  8: Multiplikation
   if val>0 & val <4	 % (anvand regel)
	regel=uicontrol('units','normalized', ...
		'position',[0.0336 0.498 0.633 0.035], ...
		'style','slider', ...
		'sliderstep',[0.05 0.2]);
		
	
   end

   if val==1 & xpl(1)>0
   	set(regel,'min',0.1,'max',10,'value',1, ...
		'callback','global xpl ypl regel dimp x1v, set(ypl,''ydata'',get(regel,''value'')*get(xpl(1),''ydata'')), if get(x1v,''value'')-1==4, set(dimp(3,3),''string'',[''('' num2str(3*get(regel,''value'')) '')'']), end');

	axes(AX(2,1))
	cla
	ypl=plot(t,get(regel,'value')*get(xpl(1),'ydata'),cols3);
	set(AX(2,1),'xtick',-10:2:10)
	axis([-10 10 -10 10])
	if get(x1v,'value')-1==4	% Diracimpuls vald
		hold on
		dimp(3,1)=plot([0 0],[0 1],cols3);
		set(dimp(3,1),'linewidth',lw+1)
		dimp(3,2)=plot(0,1,['^' cols3]);
		set(dimp(3,2),'linewidth',lw)
		dimp(3,3)=text(0.2,1,['(' num2str(3*get(regel,'value')) ')']);
		set(dimp(3,3),'fontsize',13,'color',cols3)
		axis([-10 10 -1.1 1.1])
	end
	set(ypl,'linewidth',lw,'EraseMode','xor')
	set(AX(2,1),'fontsize',14)
	xlabel('Tid, t')
	grid on
	[legaxy legvy]=legend('y(t)=a*x_1(t)',1);
	set(legvy(2),'color',cols3)
	set(legaxy,'visible','off')

  
   
   uicontrol('units','normal', ...
      'position',[0.05 0.46 0.031 0.037], ...
      'BackgroundColor', get(gcf,'color'), ...
      'style','text', ...
      'fontsize',13,'string',num2str(get(regel,'min')));

   uicontrol('units','normal', ...
      'position',[0.62 0.46 0.031 0.037], ...
      'BackgroundColor', get(gcf,'color'), ...
      'style','text', ...
      'fontsize',13,'string',num2str(get(regel,'max')));

   uicontrol('units','normal', ...
      'position',[0.69 0.44 0.22 0.09], ...
      'style','text', ...
      'horizontalalign','left', ...
      'fontsize',14,'string',[' ndra konstanten a'; ' med regeln!       ']);
   elseif (val==2 | val==3) & xpl(1)>0
	tmp1=get(xpl(1),'ydata');
	if val==3
		tl=length(tmp1);
		for a=tl:-1:1
			tmp2(tl-a+1)=tmp1(a);	% Spegling
		end
		tmp1=tmp2;
	end
	% Nu foljer tidsforskjutning (t=-20:0.1:20):
	tickv=['-10';'   ';'-8 ';'   ';'-6 ';'   ';'-4 ';'   ';'-2 ';'   ';'0  ';'   ';'2  ';'   ';'4  ';'   ';'6  ';'   ';'8  ';'   ';'10 '];

   	set(regel,'min',-10,'max',10,'value',0, ...
		'userdata',-2*val+5, ... 	% =1/-1 om val=2/3, resp.
		'callback','global regel AX ypl, axes(AX(2,1)), regv=get(regel,''value'');  axis([[-10 10]+get(regel,''userdata'')*get(regel,''value'') -1.1 1.1]), set(AX(2,1),''xticklabels'',get(ypl,''userdata'')),get(regel,''value'')'),

% set(AX(2,1),''xticklabels'',get(ypl,''userdata''))

	axes(AX(2,1))
	cla
	ypl=plot(t,tmp1,cols3);
	set(AX(2,1),'xtick',-20:20)
	axis([-10 10 -1.1 1.1])
	set(ypl,'userdata',tickv,'EraseMode','xor')
	set(ypl,'linewidth',lw)
	set(AX(2,1),'fontsize',14)
	xlabel('Tid, t')
%	grid on
	if val==2,
		[legaxy legvy]=legend('y(t)=x_1(t+\tau)',1);
	else
		[legaxy legvy]=legend('y(t)=x_1(-t+\tau)',1);
	end
	set(legvy(2),'color',cols3)
	set(legaxy,'visible','off')
	
	
   uicontrol('units','normal', ...
      'position',[0.05 0.46 0.031 0.037], ...
      'BackgroundColor', get(gcf,'color'), ...
      'style','text', ...
      'fontsize',13,'string',num2str(get(regel,'min')));

   uicontrol('units','normal', ...
      'position',[0.62 0.46 0.031 0.037], ...
      'BackgroundColor', get(gcf,'color'), ...
      'style','text', ...
      'fontsize',13,'string',num2str(get(regel,'max')));


   elseif val==4 & xpl(1)>0	% Tidsskalning
	x1=get(xpl(1),'ydata');
	axes(AX(2,1))
	cla
	ypl=plot(2*t,x1,cols3);	% y=x1(2t)
	set(ypl,'linewidth',lw)
	hold on
	ypl=plot(t/2,x1,cols4);	% y=x1(t/2)
	set(ypl,'linewidth',lw)
	set(AX(2,1),'xtick',-10:2:10)
	axis([-10 10 -1.1 1.1])
	set(AX(2,1),'fontsize',14)
	xlabel('Tid, t')
	grid on
	[legaxy legvy]=legend('y(t)=x_1(t/2)','y(t)=x_1(2t)',1);
	set(legvy(1,2),'color',cols3)
	set(legvy(2,2),'color',cols4)
	set(legaxy,'visible','off')


   elseif val==5 & xpl(1)>0	% Derivering
	x1=get(xpl(1),'ydata');
	axes(AX(2,1))
	cla
	xlen=length(x1);
	xder=(x1(2:xlen)-x1(1:xlen-1))./(t(2:xlen)-t(1:xlen-1));
	ypl=plot(t(2:xlen),xder,cols3);	
	set(ypl,'linewidth',lw)
	set(AX(2,1),'xtick',-10:2:10)
	oldax=axis;
	axis([-10 10 1.1*max(abs(oldax(3:4)))*[-1 1]])
	set(AX(2,1),'fontsize',14)
	xlabel('Tid, t')
	grid on
	[legaxy legvy]=legend('y(t)=dx_1(t)/dt',1);
	set(legvy(2),'color',cols3)
	set(legaxy,'visible','off')
	


   elseif val==6 & xpl(1)>0	% Integrering
	x1=get(xpl(1),'ydata');
	axes(AX(2,1))
	cla
	xlen=length(x1);
	dt=t(2)-t(1);
	xint=cumsum(x1)*dt;
	ypl=plot(t(1:xlen),xint,cols3);	
	set(ypl,'linewidth',lw)
	set(AX(2,1),'xtick',-10:2:10)
	oldax=axis;
	axis([-10 10 1.1*max(abs(oldax(3:4)))*[-1 1]])
	set(AX(2,1),'fontsize',14)
	xlabel('Tid, t')
	grid on
	[legaxy legvy]=legend('y(t)=\int_{-\infty}^{t} x_1(\tau) d\tau',1);
	set(legvy(2),'color',cols3)
	set(legaxy,'visible','off')


   elseif val==7 & xpl(1)>0	% Addition
	axes(AX(2,1))
	cla
	ypl=plot(t,get(xpl(1),'ydata')+get(xpl(2),'ydata'),cols3);	
	set(ypl,'linewidth',lw)
	set(AX(2,1),'xtick',-10:2:10)
	oldax=axis;
	axis([-10 10 1.1*max(abs(oldax(3:4)))*[-1 1]])
	set(AX(2,1),'fontsize',14)
	xlabel('Tid, t')
	grid on
	[legaxy legvy]=legend('y(t)=x_1(t)+x_2(t)',1);
	set(legvy(2),'color',cols3)
	set(legaxy,'visible','off')

   elseif val==8 & xpl(1)>0	% Multiplikation
	axes(AX(2,1))
	cla
	ypl=plot(t,get(xpl(1),'ydata').*get(xpl(2),'ydata'),cols3);	
	set(ypl,'linewidth',lw)
	set(AX(2,1),'xtick',-10:2:10)
	oldax=axis;
	axis([-10 10 1.1*max(abs(oldax(3:4)))*[-1 1]])
	set(AX(2,1),'fontsize',14)
	xlabel('Tid, t')
	grid on
	[legaxy legvy]=legend('y(t)=x_1(t)*x_2(t)',1);
	set(legvy(2),'color',cols3)
	set(legaxy,'visible','off')

   end
   
end   
