function kretsdemo2(init)

% KRETSDEMO2 Demonstrationsverktyg fr den tidsdiskreta kursdelen.
%
%    Ngra av demo-filerna fungerar dock bara tillsammans med andra
%    Matlabfunktioner (som examinatorn har).
% 
% See also: KRETSDEMO1

global AX lw col1 col2 col3 cols1 cols2 cols3 cols4 bgcol

lw=2;	% LineWidth = 3. Andra har om nodvandigt!
col1=[0 0 1];	% Bla
cols1='b';
col2=[1 0 0];	% Rod
cols2='r';
% col3=[0 1 1];	% Magenta
% cols3='m';
% col4=[.5 .5 0];	% Gron
% cols4='g';
col3=col2;
cols3=cols2;
col4=col1;
cols4=cols1;

bgcol=[1 1 0.5];	% Bakgrundsfrg, diverse

if nargin>0, 	% Dvs om anropas fran nagot demo
	set(gcf,'name','Frelsningsdemonstrationer, Signaler & System: ');
else 		% Om start fran forsta borjan -> definiera figurfonstret
 DEMOFIG = figure('Name','Frelsningsdemonstrationer, Signaler & System: ', ...
	'Position',[-2 2 804 562], ...
	'Tag','Fig - Kretsdemo1');
end


%uicontrol('Units','points', ...
%	'BackgroundColor',get(gcf,'color'), ...
%	'FontSize',38, ...
%	'Position',[53.25 367.5 495.75 52.5], ...
%	'String','Signaler & System, Del 2', ...
%	'Style','text');
uicontrol('Units','points', ...
	'BackgroundColor',get(gcf,'color'), ...
	'FontSize',32, ...
	'Position',[53.25 350 520 37.5], ...
	'String','Tidsdiskreta Signaler och System', ...
	'Style','text');
uicontrol('Units','points', ...
	'Position',[10.5 326.25 580.5 8.25], ...
	'Style','frame');
uicontrol('Units','points', ...
	'BackgroundColor',get(gcf,'color'), ...
	'FontSize',28, ...
	'Position',[180 278.25 241.5 38.25], ...
	'String','Demonstrationer', ...
	'Style','text');

uicontrol('Units','points', ...
	'Position',[23.25 15 557.25 255.75], ...
	'Style','frame');
	
tp=235;
brd=150;
xpos1=35;
xpos2=230;
xpos3=419;
hjd=23;
global CALL
CALL = {'Signalgenerering'		'siggui' 	; ...
	'Systemanalys'			'dtsysgui'	; ...
	'Faltning'			'convgui'	; ...
	'Pzchange'			'pzchange z' ; ...
	'H(z)  ->  H(w)'		'spvecdemz'	; ...
	'Vikning'			'aliasgui'	; ...
	'Frekv.transf'			'sampwWdem'	; ...
	'Samplingsteoremet'		'sampldem2(''init'',0)' ; ...
	'Fnsterfunktioner'		'windowdem'	; ...
	'Bilinjr transf. - HP'	'bilindem2'	; ...
	'Bilinjr transf. - LP'	'bilindem'};


Xpos = [xpos1*ones(1,10) xpos2*ones(1,10)	xpos3*ones(1,10) ];
Ypos = [tp-hjd*(0:9)	 tp-hjd*(0:9)		tp-hjd*(0:9)	];

[nrcalls, dumm]=size(CALL);
for a=1:nrcalls
    uicontrol('Units','points', ...
	'FontSize',14, ...
	'Position',[Xpos(a) Ypos(a) brd hjd], ...
	'String',char(CALL(a,1)), ... 
	'horizontalalign','left', ...
	'callback',char(CALL(a,2)));
end