function sampwWdem


clf
axesdef(10,'Frekvenstransformation vid sampling');

  uimenu('Label','            ');
  fom = uimenu('Label','G till KRETSDEMO2', 'callback','clf, kretsdemo2(1)');

wmax=8*pi;
T=0.5;
w=-wmax:.1:wmax;
W=w*T;
a=1;
WW=W;
while a
   q1=find(WW>pi);
   q2=find(WW<-pi);
   WW(q1)=WW(q1)-2*pi;
   WW(q2)=WW(q2)+2*pi;
   if isempty(q2), a=0; end
end
Whand=plot(w,W,'r','erasemode','xor');
hold on
WWhand=plot(w,WW,'r','visible','off','erasemode','xor');
xlabel('Vinkelfrekvens,  \omega [rad/s] ')
ylabel('Normerad vinkelfrekvens,  \Omega [rad]')
title('Frekvenstransformation vid sampling:  \Omega = \omega T = 2\pi \omega / \omega_s ','verticalalign','baseline')
axis([-wmax wmax -3.5*pi 3.5*pi])
plot(wmax*[-1 1],[0 0],'k','linewidth',1.5)
plot([0 0],[-3.5*pi 3.5*pi],'k','linewidth',1.5)
grid
set(gca,'ytick',-3*pi:pi:3*pi)
set(gca,'yticklabel',{'-3pi', '-2pi', '-pi', '0', 'pi', '2pi', '3pi'})
set(gca,'xtick',-wmax:2*pi:wmax)
set(gca,'xticklabel',{'-2w_s', '-3w_s/2', '-w_s', '-w_s/2', '0', 'w_s/2', 'w_s', '3w_s/2', '2w_s'})
hold off
OHfigure2

pause

set(Whand,'color',[1 .7 .7])
set(WWhand,'visible','on')


