function windowdem(typ)

if nargin==0
  clf

  uimenu('Label','            ');
  fom = uimenu('Label','G till KRETSDEMO2', 'callback','clf, kretsdemo2(1)');
  winmen=uimenu('Label','Vlj fnstertyp !');
	uimenu(winmen,'Label','Rektangulrt','callback','windowdem rect');
	uimenu(winmen,'Label','Bartlett','callback','windowdem bart');
	uimenu(winmen,'Label','Hamming','callback','windowdem hamm');
	uimenu(winmen,'Label','Hanning','callback','windowdem hann');
	uimenu(winmen,'Label','Blackman','callback','windowdem blac');
	uimenu(winmen,'Label','Kaiser-Bessel','callback','windowdem kais');
	uimenu(winmen,'Label','Flat top','callback','windowdem flat');
  typ='rect'; 
end

if strcmp(typ,'rect'), winstr='Rektangulrt ';
  elseif strcmp(typ,'bart'), winstr='Bartlett';
  elseif strcmp(typ,'hamm'), winstr='Hamming';
  elseif strcmp(typ,'hann'), winstr='Hanning';
  elseif strcmp(typ,'blac'), winstr='Blackman';
  elseif strcmp(typ,'kais'), winstr='Kaiser';
  elseif strcmp(typ,'flat'), winstr='Flat top-';
end

winlen=21;
w==window(in('1','n'),typ,winlen);
W=foutr(w);
logspect(W,W)
subplot(2,1,2)
title('Amplitudkaraktristik','verticalalignment','baseline')
xlabel('Normaliserad frekvens')
ylabel('Amplitud  (dB)')

subplot(2,1,1)
signalmod(w,winlen+4)
currax=axis;
axis([-4 currax(2:4)])
title([winstr 'fnster av lngd ' int2str(winlen)],'verticalalignment','baseline')
xlabel('n')
ylabel('')

OHfigure2
